Bug 1568307 - [3.4 only]Met "cannot stat '/tmp/src/*'" when s2i build with perl:5.20 and perl:5.24
Summary: [3.4 only]Met "cannot stat '/tmp/src/*'" when s2i build with perl:5.20 and pe...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.4.z
Assignee: Ben Parees
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 08:20 UTC by Wenjing Zheng
Modified: 2018-04-20 13:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
Environment:
Last Closed: 2018-04-20 13:16:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wenjing Zheng 2018-04-17 08:20:13 UTC
Description of problem:
Met below error when source build with 5.20 on OCP 3.4:
I0417 08:05:54.348000       1 docker.go:969] Attaching to container "2d7b948d2009301d96e729d2b7d66638ab7cd62628d26b177a9572065e10e367" ...
I0417 08:05:54.349605       1 docker.go:1007] Starting container "2d7b948d2009301d96e729d2b7d66638ab7cd62628d26b177a9572065e10e367" ...
I0417 08:05:54.599007       1 docker.go:1033] Waiting for container "2d7b948d2009301d96e729d2b7d66638ab7cd62628d26b177a9572065e10e367" to stop ...
I0417 08:05:54.817911       1 sti.go:634] ---> Installing application source ...
I0417 08:05:54.827919       1 sti.go:641] mv: cannot stat '/tmp/src/*': No such file or directory
I0417 08:05:54.998317       1 docker.go:948] Removing container "2d7b948d2009301d96e729d2b7d66638ab7cd62628d26b177a9572065e10e367" ...
I0417 08:05:55.017126       1 docker.go:952] Removed container "2d7b948d2009301d96e729d2b7d66638ab7cd62628d26b177a9572065e10e367"
I0417 08:05:55.017368       1 cleanup.go:33] Removing temporary directory /tmp/s2i-build642028557
I0417 08:05:55.017394       1 fs.go:159] Removing directory '/tmp/s2i-build642028557'
I0417 08:05:55.018093       1 sti.go:637] 
F0417 08:05:55.321813       1 helpers.go:115] error: build error: non-zero (13) exit code from brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/rhscl/perl-520-rhel7@sha256:7ec1e4048cfe5077242d347bb3f4a96abf6b1d2f7fd251d7c275fc122de0c31b
error: The build wzheng3/sti-perl-3 status is "Failed"

Version-Release number of selected component (if applicable):
openshift v3.4.1.44.53
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0

How reproducible:
always

Steps to Reproduce:
1.oc new-app perl:5.20~https://github.com/openshift/sti-perl.git --context-dir=5.20/test/sample-test-app/ --env=PERL_APACHE2_RELOAD=true
2.
3.

Actual results:
Build is failed

Expected results:
Build should be succeed like perl:5.16.

Additional info:
Other OCP version(3.5-3.9) with same image has no such issue.

Comment 1 Ben Parees 2018-04-17 14:24:27 UTC
the sample app's repo path has changed, please use this invocation/context-dir instead:

oc new-app perl:5.20~https://github.com/openshift/sti-perl.git --context-dir=examples/sample-test-app/ --env=PERL_APACHE2_RELOAD=true

Comment 2 Wenjing Zheng 2018-04-18 07:36:43 UTC
(In reply to Ben Parees from comment #1)
> the sample app's repo path has changed, please use this
> invocation/context-dir instead:
> 
> oc new-app perl:5.20~https://github.com/openshift/sti-perl.git
> --context-dir=examples/sample-test-app/ --env=PERL_APACHE2_RELOAD=true

I cannot find this invocation/context-dir, is it under https://github.com/sclorg/s2i-perl-container? note above command works in other ocp version.

Comment 3 Ben Parees 2018-04-18 12:28:03 UTC
yes it's in sclorg/s2i-perl-container, which is what openshift/sti-perl now redirects to:

https://github.com/sclorg/s2i-perl-container/tree/master/examples/sample-test-app

you should probably go ahead and change the invocation to point to the sclorg repo directly, but pointing to the redirect should also work fine.

Comment 4 Wenjing Zheng 2018-04-19 08:04:39 UTC
I have tried with new location, same result as below:
oc new-app perl:5.20~https://github.com/sclorg/s2i-perl-container.git --context-dir=5.20/test/sample-test-app --env=PERL_APACHE2_RELOAD=true

[root@host-8-248-13 ~]# oc get builds -n wzheng2
NAME                   TYPE      FROM          STATUS    STARTED          DURATION
s2i-perl-container-1   Source    Git@a6f0580   Failed    11 minutes ago   3s
[root@host-8-248-13 ~]# openshift version
openshift v3.4.1.44.53
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0

same command can succeed in 3.10:
[root@ip-172-18-10-117 ~]# oc get builds -n wzheng2
NAME                   TYPE      FROM          STATUS     STARTED         DURATION
s2i-perl-container-1   Source    Git@a6f0580   Complete   3 minutes ago   2m44s
[root@ip-172-18-10-117 ~]# openshift version
openshift v3.10.0-0.22.0
kubernetes v1.10.0+b81c8f8
etcd 3.2.16

Comment 5 Ben Parees 2018-04-19 13:53:35 UTC
you're still passing the wrong context-dir value, you need to change it to:

--context-dir=examples/sample-test-app/

Comment 6 Wenjing Zheng 2018-04-20 01:55:54 UTC
Sorry for bothering on this, yes, it works now! Thanks, Ben!
$oc new-app perl:5.20~https://github.com/sclorg/s2i-perl-container.git --context-dir=examples/sample-test-app/ --env=PERL_APACHE2_RELOAD=true
$openshift version
openshift v3.4.1.44.53
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0


Note You need to log in before you can comment on or make changes to this bug.